## dzl-pill-box

dzl-pill-box

## Functions

GtkWidget * | dzl_pill_box_new ()
const gchar * | dzl_pill_box_get_label ()
void | dzl_pill_box_set_label ()

## Properties

char * | label | Read / Write

## Types and Values

#define | DZL_TYPE_PILL_BOX
| DzlPillBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── DzlPillBox

## Implemented Interfaces

DzlPillBox implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_pill_box_new ()

    GtkWidget *
    dzl_pill_box_new (const gchar *label);

### dzl_pill_box_get_label ()

    const gchar *
    dzl_pill_box_get_label (DzlPillBox *self);

### dzl_pill_box_set_label ()

    void
    dzl_pill_box_set_label (DzlPillBox *self,
                            const gchar *label);

## Types and Values

### DZL_TYPE_PILL_BOX

    #define DZL_TYPE_PILL_BOX (dzl_pill_box_get_type())

### DzlPillBox

    typedef struct _DzlPillBox DzlPillBox;

## Property Details

### The `“label”` property

      “label”                    char *

The label for the pill box.

Owner: DzlPillBox

Flags: Read / Write

Default value: NULL